// Generated by lua5.1.js-file-packer
(function(Lua5_1) {
Lua5_1.provide_file("/", "js.lua",
 "--[[\n"
+"Lua@Client - js.lua\n"
+"The library that calls browser methods from Lua\n"
+"Copyright (c) 2014-2015 Felipe Daragon\n"
+"\nLicense: MIT\n"
+"]]\n"
+"\nlocal getset = require(\"getset\")\n"
+"\nlocal function createJSLib()\n"
+"  local js = {}\n"
+"  -- Adds read-only properties to an object\n"
+"  function add_ra_prop(objname,obj,props)\n"
+"  \tfor i, name in ipairs(props) do\n"
+"  \t\tgetset.defineProperty(obj, name, {\n"
+"  \t\t\tget = function() return js_getprop(objname,name) end\n"
+"  \t\t\t})\n"
+"  \t\tend\n"
+"\tend\n"
+"\n\t-- Adds read-and-write properties to an object\n"
+"\tfunction add_rw_prop(objname,obj,props)\n"
+"\t\tfor i, name in ipairs(props) do\n"
+"\t\t\tgetset.defineProperty(obj, name, {\n"
+"\t\t\t\tget = function() return js_getprop(objname,name) end,\n"
+"\t\t\t\tset = function( value ) js_setprop(objname,name,value) end\n"
+"\t\t\t\t})\n"
+"\t\t\tend\n"
+"\t\tend\n"
+"\n\t\t-- Creates the navigator object (fully implemented)\n"
+"\t\tfunction create_navigator()\n"
+"\t\t\tlocal n = \"navigator\"\n"
+"\t\t\tjs.navigator = {\n"
+"\t\t\t\tjavaEnabled = function(o) return js_method(n,\"javaEnabled\") end,\n"
+"\t\t\t\ttaintEnabled = function(o) return js_method(n,\"taintEnabled\") end\n"
+"\t\t\t}\n"
+"\t\t\tadd_ra_prop(n,js.navigator,\n"
+"\t\t\t{\n"
+"\t\t\t\t\"appCodeName\",\n"
+"\t\t\t\t\"appMinorVersion\",\n"
+"\t\t\t\t\"appName\",\n"
+"\t\t\t\t\"appVersion\",\n"
+"\t\t\t\t\"browserLanguage\",\n"
+"\t\t\t\t\"cookieEnabled\",\n"
+"\t\t\t\t\"cpuClass\",\n"
+"\t\t\t\t\"onLine\",\n"
+"\t\t\t\t\"platform\",\n"
+"\t\t\t\t\"userAgent\",\n"
+"\t\t\t\t\"systemLanguage\",\n"
+"\t\t\t\t\"userLanguage\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\tend\n"
+"\n\t\t-- Creates the history object (fully implemented)\n"
+"\t\tfunction create_history()\n"
+"\t\t\tlocal n = 'history'\n"
+"\t\t\tjs.history = {\n"
+"\t\t\t\tback = function(o) js_method(n,\"back\") end,\n"
+"\t\t\t\tforward = function(o) js_method(n,\"forward\") end,\n"
+"\t\t\t\tgo = function(o,url) js_method(n,\"go\",url) end\n"
+"\t\t\t}\n"
+"\t\t\tadd_ra_prop(n, js.history, {\"length\"})\n"
+"\t\tend\n"
+"\n\t\t-- Creates the screen object (fully implemented)\n"
+"\t\tfunction create_screen()\n"
+"\t\t\tlocal n = \"screen\"\n"
+"\t\t\tjs.screen = {}\n"
+"\t\t\tadd_ra_prop(n, js.screen, {\n"
+"\t\t\t\t\"availHeight\",\n"
+"\t\t\t\t\"availWidth\",\n"
+"\t\t\t\t\"colorDepth\",\n"
+"\t\t\t\t\"deviceXDPI\",\n"
+"\t\t\t\t\"deviceYDPI\",\n"
+"\t\t\t\t\"fontSmoothingEnabled\",\n"
+"\t\t\t\t\"height\",\n"
+"\t\t\t\t\"logicalXDPI\",\n"
+"\t\t\t\t\"logicalYDPI\",\n"
+"\t\t\t\t\"pixelDepth\",\n"
+"\t\t\t\t\"width\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\t\tadd_rw_prop(n, js.screen, {\n"
+"\t\t\t\t\"bufferDepth\",\n"
+"\t\t\t\t\"updateInterval\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\tend\n"
+"\n\t\t-- Creates the location object (fully implemented)\n"
+"\t\tfunction create_location()\n"
+"\t\t\tlocal n = \"location\"\n"
+"\t\t\tjs.location = {\n"
+"\t\t\t\tassign = function(o,url) js_method(n,\"assign\",url) end,\n"
+"\t\t\t\treload = function(o) js_method(n,\"reload\") end,\n"
+"\t\t\t\treplace = function(o,url) js_method(n,\"replace\",url) end\n"
+"\t\t\t}\n"
+"\t\t\tadd_rw_prop(n, js.location, {\n"
+"\t\t\t\t\"hash\",\n"
+"\t\t\t\t\"host\",\n"
+"\t\t\t\t\"hostname\",\n"
+"\t\t\t\t\"href\",\n"
+"\t\t\t\t\"pathname\",\n"
+"\t\t\t\t\"port\",\n"
+"\t\t\t\t\"protocol\",\n"
+"\t\t\t\t\"search\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\tend\n"
+"\n\t\t-- Creates the document object (partially implemented)\n"
+"\t\tfunction create_document()\n"
+"\t\t\tlocal n = \"document\"\n"
+"\t\t\tjs.document = {\n"
+"\t\t\t\tlocation = js.location,\n"
+"\t\t\t\tclose = function(o) js_method(n,\"close\") end,\n"
+"\t\t\t\topen = function(o) js_method(n,\"open\") end,\n"
+"\t\t\t\twrite = function(o,s) js_method(n,\"write\",s) end,\n"
+"\t\t\t\twriteln = function(o,s) js_method(n,\"writeln\",s) end\n"
+"\t\t\t}\n"
+"\t\t\tadd_ra_prop(n, js.document, {\n"
+"\t\t\t\t\"domain\",\n"
+"\t\t\t\t\"lastModified\",\n"
+"\t\t\t\t\"referrer\",\n"
+"\t\t\t\t\"title\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\t\tadd_rw_prop(n, js.document, {\n"
+"\t\t\t\t\"cookie\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\tend\n"
+"\n\t\t-- Creates the window object (partially implemented)\n"
+"\t\tfunction create_window()\n"
+"\t\t\tlocal n = \"window\"\n"
+"\t\t\tjs.window = {\n"
+"\t\t\t\tlocation = js.location,\n"
+"\t\t\t\tdocument = js.document,\n"
+"\t\t\t\thistory = js.history,\n"
+"\t\t\t\talert = function(o, msg) js_method(n,\"alert\",msg) end,\n"
+"\t\t\t\tblur = function(o) js_method(js.window.name,\"blur\") end,\n"
+"\t\t\t\tclearInterval = function(o,id) js_method(n,\"clearInterval\",id) end,\n"
+"\t\t\t\tclearTimeout = function(o,id) js_method(n,\"clearTimeout\",id) end,\n"
+"\t\t\t\tclose = function(o) js_method(n,\"close\") end,\n"
+"\t\t\t\tconfirm = function(o,s) return js_method(n,\"confirm\",s) end,\n"
+"\t\t\t\tfocus = function(o) js_method(n,\"focus\") end,\n"
+"\t\t\t\tmoveBy = function(o, x, y) js_method(n,\"moveBy\", x, y) end,\n"
+"\t\t\t\tmoveTo = function(o, x, y) js_method(n,\"moveTo\", x, y) end,\n"
+"\t\t\t\topen = function(o, url, name, features) js_method(n,\"open\", url, name, features) end,\n"
+"\t\t\t\tprint = function(o) js_method(n,\"print\") end,\n"
+"\t\t\t\tprompt = function(o,s,deftext) return js_method(n,\"prompt\",s,deftext) end,\n"
+"\t\t\t\tscrollBy = function(o, x, y) js_method(n,\"scrollBy\", x, y) end,\n"
+"\t\t\t\tscrollTo = function(o, x, y) js_method(n,\"scrollTo\", x, y) end,\n"
+"\t\t\t\tsetInterval = function(o, f, delay) js_method(n,\"setInterval\", f, delay) end,\n"
+"\t\t\t\tsetTimeout = function(o, f, delay) js_method(n,\"setTimeout\", f, delay) end\n"
+"\t\t\t}\n"
+"\n\t\t\tadd_ra_prop(n, js.window, {\n"
+"\t\t\t\t\"closed\",\n"
+"\t\t\t\t\"length\",\n"
+"\t\t\t\t\"outerHeight\",\n"
+"\t\t\t\t\"outerWidth\",\n"
+"\t\t\t\t\"pageXOffset\",\n"
+"\t\t\t\t\"pageYOffset\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\n\t\t\tadd_rw_prop(n, js.window, {\n"
+"\t\t\t\t\"defaultStatus\",\n"
+"\t\t\t\t\"name\",\n"
+"\t\t\t\t\"status\"\n"
+"\t\t\t}\n"
+"\t\t\t)\n"
+"\t\tend\n"
+"\t\t\n"
+"\t\t-- Creates the console object (almost fully implemented)\n"
+"\t\tfunction create_console()\n"
+"\t\t\tlocal n = \"console\"\n"
+"\t\t\tjs.console = {\n"
+"\t\t\t\tcount = function(o, label) js_method(n,\"count\",label) end,\n"
+"\t\t\t\tdebug = function(o, ...) js_method(n,\"debug\",...) end, -- alias for log\n"
+"\t\t\t\tdir = function(o, ...) js_method(n,\"dir\",...) end,\n"
+"\t\t\t\terror = function(o, ...) js_method(n,\"error\",...) end,\n"
+"\t\t\t\texception = function(o, ...) js_method(n,\"exception\",...) end, -- alias for error\n"
+"\t\t\t\tgroup = function(o) js_method(n,\"group\") end,\n"
+"\t\t\t\tgroupCollapsed = function(o) js_method(n,\"groupCollapsed\") end,\n"
+"\t\t\t\tgroupEnd = function(o) js_method(n,\"groupEnd\") end,\n"
+"\t\t\t\tinfo = function(o, ...) js_method(n,\"info\",...) end,\n"
+"\t\t\t\tlog = function(o, ...) js_method(n,\"log\",...) end,\n"
+"\t\t\t\ttime = function(o, name) js_method(n,\"time\",name) end,\n"
+"\t\t\t\ttimeEnd = function(o, name) js_method(n,\"timeEnd\",name) end,\n"
+"\t\t\t\ttrace = function(o) js_method(n,\"trace\") end,\n"
+"\t\t\t\twarn = function(o, ...) js_method(n,\"warn\",...) end\n"
+"\t\t\t}\n"
+"\t\tend\n"
+"\n\t\t-- Note: Do not change the execution order unless you reimplemented\n"
+"\t\t-- the object aliases using getset\n"
+"\t\tcreate_navigator()\n"
+"\t\tcreate_history()\n"
+"\t\tcreate_screen()\n"
+"\t\tcreate_location()\n"
+"\t\tcreate_document()\n"
+"\t\tcreate_window()\n"
+"\t\tcreate_console()\n"
+"\t\treturn getset.seal(js)\n"
+"\tend\n"
+"\n\tjs = createJSLib()\n",
true, false);
// End of /js.lua
})(Lua5_1);
