/*
 * Moonshine - a Lua virtual machine.
 *
 * Email: moonshine@gamesys.co.uk
 * http://moonshinejs.org
 *
 * Copyright (c) 2013-2015 Gamesys Limited. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

!function(){if("undefined"!=typeof window){var e=window.shine;window.shine={noConflict:function(){return window.shine=e,this}}}}();var shine=shine||{};!function(e){e.EMPTY_OBJ={},e.EMPTY_ARR=[],e.gc={objects:[],arrays:[],collected:0,reused:0,cacheArray:function(e){e.length=0,this.arrays.push(e)},cacheObject:function(e){for(var t in e)e.hasOwnProperty(t)&&delete e[t];this.objects.push(e)},createArray:function(){return this.arrays.length&&this.reused++,this.arrays.pop()||[]},createObject:function(){return this.objects.length&&this.reused++,this.objects.pop()||{}},decrRef:function(t){t&&t instanceof e.Table&&void 0!==t.__shine.refCount&&0==--t.__shine.refCount&&this.collect(t)},incrRef:function(t){t&&t instanceof e.Table&&void 0!==t.__shine.refCount&&t.__shine.refCount++},collect:function(t){if(void 0!==t&&null!==t){if(t instanceof Array)return this.cacheArray(t);if("object"==typeof t&&t.constructor==Object)return this.cacheObject(t);if(t instanceof e.Table&&void 0!==t.__shine.refCount){var n,r,i=t.__shine;for(n=0,r=i.keys.length;r>n;n++)this.decrRef(i.keys[n]);for(n=0,r=i.values.length;r>n;n++)this.decrRef(i.values[n]);for(n=0,r=i.numValues.length;r>n;n++)this.decrRef(i.numValues[n]);this.cacheArray(i.keys),this.cacheArray(i.values),delete i.keys,delete i.values,this.cacheObject(i),delete t.__shine;for(n in t)t.hasOwnProperty(n)&&this.decrRef(t[n])}}}}}(shine||{});var shine=shine||{};shine.EventEmitter=function(){this._listeners={}},shine.EventEmitter.prototype._trigger=function(e,t){var n,r,i=this._listeners[e];if(i){(t||shine.EMPTY_OBJ)instanceof Array||(t=[t]);for(r in i)if(i.hasOwnProperty(r)&&(n=i[r].apply(this,t),void 0!==n&&!n))break}},shine.EventEmitter.prototype.on=function(e,t){this._listeners[e]||(this._listeners[e]=[]),this._listeners[e].push(t)},shine.EventEmitter.prototype.unbind=function(e,t){for(var n in this._listeners[e])this._listeners[e].hasOwnProperty(n)&&this._listeners[e][n]===t&&this._listeners[e].splice(n,1)},"object"==typeof module&&module.exports&&(module.exports.EventEmitter=shine.EventEmitter);var shine=shine||{};shine.FileManager=function(){shine.EventEmitter.call(this),this._cache={}},shine.FileManager.prototype=new shine.EventEmitter,shine.FileManager.prototype.constructor=shine.FileManager,shine.FileManager.prototype.load=function(e,t){function n(e,n){var r;return o.constructor._isJson(e)?r=JSON.parse(e):o.constructor._isLuac(e)&&(r=o.constructor._parseLuac(e)),r&&window.setTimeout(function(){n&&(o._cache[n]=r),o._onSuccess(n||"",r,t)},1),!!r}function r(t){if(!n(t,e))throw new Error("File contains non-parsable content: "+e)}function i(e){o._onError(e,t)}var s,o=this;switch(typeof e){case"string":n(e)||((s=this._cache[e])?window.setTimeout(function(){o._onSuccess(e,s,t)},1):shine.utils.get(e,r,i));break;case"object":this._onSuccess("",e,t);break;default:throw new TypeError("Can't load object of unknown type")}},shine.FileManager.prototype._onSuccess=function(e,t,n){var r,i;if("moonshine.package"==t.format){for(i in t.files)this._cache[i]=t.files[i];if(this._trigger("loaded-package",t),!(e=t.main))return;if(!(t=t.files[e]))throw new ReferenceError("The package's main reference does not point to a filename within the package")}r=new shine.File(e,t),this._onFileLoaded(r,function(){n(null,r)})},shine.FileManager.prototype._onFileLoaded=function(e,t){t()},shine.FileManager.prototype._onError=function(e,t){t(e)},shine.FileManager._isJson=function(e){return/^({.*}|\[.*\])$/.test(e)},shine.FileManager._isLuac=function(e){return e.substr(0,5)==String.fromCharCode(27,76,117,97,81)},shine.FileManager._parseLuac=function(e){if(!shine.distillery)throw new Error('Moonshine needs the distillery to parse Lua byte code. Please include "distillery.moonshine.js" in the page.');return"ArrayBuffer"in window||console.warn("Browser does not support ArrayBuffers, this could cause unexpected results when loading binary files."),(new shine.distillery.Parser).parse(e)},shine.FileManager.prototype.dispose=function(){delete this._cache},function(e){e.VM=function(t){e.EventEmitter.call(this),this.fileManager=new e.FileManager,this._env=t||{},this._coroutineStack=[],this._status=e.RUNNING,this._resumeStack=[],this._callbackQueue=[],this._coroutineStack=[],this._resetGlobals()},e.VM.prototype=new e.EventEmitter,e.VM.prototype.constructor=e.VM,e.RUNNING=0,e.SUSPENDING=1,e.SUSPENDED=2,e.RESUMING=3,e.DEAD=4,e.VM.prototype._resetGlobals=function(){var t=new e.Table;t.setMember(-1,"moonshine"),this._globals=this._bindLib(e.lib),this._globals.arg=t;for(var n in this._globals)this._globals.hasOwnProperty(n)&&this._globals[n]instanceof e.Table&&(this._globals["package"].loaded[n]=this._globals[n]);this._globals["package"].loaded._G=this._globals;for(var n in this._env)this._env.hasOwnProperty(n)&&(this._globals[n]=this._env[n])},e.VM.prototype._bindLib=function(t){var n=e.gc.createObject();for(var r in t)t.hasOwnProperty(r)&&(n[r]=t[r]);return new e.Table(n)},e.VM.prototype.load=function(e,t,n){var r=this;this.fileManager.load(e,function(i,s){if(i)throw new URIError("Failed to load file: "+e+" ("+i+")");r._trigger("file-loaded",s),(t||void 0===t)&&r.execute(n,s)})},e.VM.prototype.preload=function(t,n){var r=this;this.fileManager.load(n,function(n,i){if(n)throw new URIError("Failed to preload module for: "+t+" ("+n+")");var s=new e.Function(r,i,i.data,r._globals);r._globals["package"].preload[t]=s})},e.VM.prototype.execute=function(t,n){var r,n,i,s=n?[n]:this._files;if(!s.length)throw new Error("No files loaded.");for(r in s)if(s.hasOwnProperty(r)){if(n=s[r],!n.data)throw new Error("Tried to execute file before data loaded.");i=this._thread=new e.Function(this,n,n.data,this._globals),this._trigger("executing",[i,t]);try{if(t){var o=e.lib.coroutine.wrap.call(this,i),a=function(){o(),t.uiOnly&&o._coroutine.status!=e.DEAD&&window.setTimeout(a,1)};a()}else i.call()}catch(u){e.Error.catchExecutionError(u)}}},e.VM.prototype.setGlobal=function(e,t){this._globals[e]=t},e.VM.prototype.getGlobal=function(e){return this._globals[e]},e.VM.prototype.suspend=function(){if(this._status!==e.RUNNING)throw new Error("attempt to suspend a non-running VM");var t=this;this._status=e.SUSPENDING,this._resumeVars=void 0,window.setTimeout(function(){t._status==e.SUSPENDING&&(t._status=e.SUSPENDED)},1)},e.VM.prototype.resume=function(t){if(this._status!==e.SUSPENDED&&this._status!==e.SUSPENDING)throw new Error("attempt to resume a non-suspended VM");if(arguments.length&&void 0===t||(t=t||this._resumeVars),t&&!(t instanceof Array)){var n=e.gc.createArray();n.push(t),t=n}this._status=e.RESUMING,this._resumeVars=t;var r=this._resumeStack.pop();if(r)try{r instanceof e.Coroutine?r.resume():r instanceof e.Closure?r._run():r()}catch(i){if(!((i||e.EMPTY_OBJ)instanceof e.Error)){var s=i.stack||"";i=new e.Error("Error in host call: "+i.message),i.stack=s,i.luaStack=s.split("\n")}i.luaStack||(i.luaStack=e.gc.createArray()),i.luaStack.push([r,r._pc-1]),e.Error.catchExecutionError(i)}if(this._status==e.RUNNING)for(;this._callbackQueue[0];)this._callbackQueue.shift()()},e.VM.prototype.dispose=function(){var t;for(var n in this._files)this._files.hasOwnProperty(n)&&this._files[n].dispose();(t=this._thread)&&t.dispose(),delete this._files,delete this._thread,delete this._globals,delete this._env,delete this._coroutineStack,this.fileManager.dispose(),delete this.fileManager,e.Closure._graveyard.length=0,e.Closure._current=void 0,e.Coroutine._graveyard.length=0},e.getCurrentVM=function(){var e;return(e=this.Closure._current)&&e._vm}}(shine||{}),function(e){e.Register=function(){this._items=e.gc.createArray()},e.Register._graveyard=[],e.Register.create=function(){var t=e.Register._graveyard.pop();return t||new e.Register(arguments)},e.Register.prototype.getLength=function(){return this._items.length},e.Register.prototype.getItem=function(e){return this._items[e]},e.Register.prototype.setItem=function(t,n){var r=this._items[t];e.gc.incrRef(n),e.gc.decrRef(r),this._items[t]=n},e.Register.prototype.set=function(e){var t,n=Math.max(e.length,this._items.length);for(t=0;n>t;t++)this.setItem(t,e[t])},e.Register.prototype.push=function(){this._items.push.apply(this._items,arguments)},e.Register.prototype.clearItem=function(e){delete this._items[e]},e.Register.prototype.splice=function(){this._items.splice.apply(this._items,arguments)},e.Register.prototype.reset=function(){for(var t=0,n=this._items.length;n>t;t++)e.gc.decrRef(this._items[t]);this._items.length=0},e.Register.prototype.dispose=function(){this._items.reset(),this.constructor._graveyard.push(this)}}(shine||{});var shine=shine||{};shine.Closure=function(e,t,n,r,i){var s=this;this._vm=e,this._globals=r,this._file=t,this._data=n,this._upvalues=i||shine.gc.createArray(),this._constants=n.constants,this._functions=n.functions,this._instructions=n.instructions,this._register=this._register||shine.Register.create(),this._pc=0,this._localsUsedAsUpvalues=this._localsUsedAsUpvalues||shine.gc.createArray(),this._funcInstances=this._funcInstances||shine.gc.createArray(),this._localFunctions=shine.gc.createObject();var s=this,o=function(){for(var e=shine.gc.createArray(),t=0,n=arguments.length;n>t;t++)e.push(arguments[t]);return s.execute(e)};return o._instance=this,o.dispose=function(){s.dispose.apply(s,arguments),delete this.dispose},o},shine.Closure.prototype={},shine.Closure.prototype.constructor=shine.Closure,shine.Closure._graveyard=[],shine.Closure._current=void 0,shine.Closure.create=function(e,t,n,r,i){var s=shine.Closure._graveyard.pop();return s?shine.Closure.apply(s,arguments):new shine.Closure(e,t,n,r,i)},shine.Closure.prototype.execute=function(e){var t=this;if(this._vm._status!=shine.RUNNING)return void this._vm._callbackQueue.push(function(){t.execute.call(t,e)});if(this._pc=0,this._params=shine.gc.createArray().concat(e),this._register.set(e.splice(0,this._data.paramCount)),7==this._data.is_vararg){var n=shine.gc.createArray().concat(e),r=n.length;n=new shine.Table(n),n.setMember("n",r),this._register.push(n)}try{return this._run()}catch(i){if(!((i||shine.EMPTY_OBJ)instanceof shine.Error)){var s=i.stack||"";i=new shine.Error("Error in host call: "+i.message),i.stack=s,i.luaStack=s.split("\n")}throw i.luaStack||(i.luaStack=shine.gc.createArray()),i.luaStack.push([this,this._pc-1]),i}},shine.Closure.prototype._run=function(){var e,t,n,r;if(this.terminated=!1,this._vm._status==shine.RESUMING?this._vm._resumeStack.length?this._pc--:(this._vm._status=shine.RUNNING,n=this._vm._resumeVars,delete this._vm._resumeVars):shine.debug&&shine.debug._status==shine.RESUMING?shine.debug._resumeStack.length?this._pc--:shine.debug._setStatus(shine.RUNNING):(r=this._vm._coroutineRunning)&&r.status==shine.RESUMING&&(r._resumeStack.length?this._pc--:(r.status=shine.RUNNING,n=r._yieldVars)),n){for(var i=4*(this._pc-1),s=this._instructions[i+1],o=(this._instructions[i+2],this._instructions[i+3]),a=shine.gc.createArray(),u=0,c=n.length;c>u;u++)a.push(n[u]);if(0===o){for(c=a.length,u=0;c>u;u++)this._register.setItem(s+u,a[u]);this._register.splice(s+c)}else for(u=0;o-1>u;u++)this._register.setItem(s+u,a[u]);shine.gc.collect(a)}for(;void 0!==this._instructions[4*this._pc];){if(e=this._data.linePositions&&this._data.linePositions[this._pc],t=this._executeInstruction(this._pc++,e),(r=this._vm._coroutineRunning)&&r.status==shine.SUSPENDING){if(r._resumeStack.push(this),r._func._instance==this)return t=r._yieldVars,r.status=shine.SUSPENDED,shine.Coroutine._remove(),t;return}if(this._vm._status==shine.SUSPENDING&&!t)return void this._vm._resumeStack.push(this);if(shine.debug&&shine.debug._status==shine.SUSPENDING&&!t)return void shine.debug._resumeStack.push(this);if(void 0!==t)return this.terminated=!0,this.dispose(),t}this.terminated=!0,this.dispose()},shine.Closure.prototype._executeInstruction=function(e){this.constructor._current=this;var t=4*e,n=this._instructions[t],r=shine.operations.HANDLERS[n],i=this._instructions[t+1],s=this._instructions[t+2],o=this._instructions[t+3];return r.call(this,i,s,o)},shine.Closure.prototype.getConstant=function(e){return null!==this._constants[e]?this._constants[e]:void 0},shine.Closure.prototype.hasRetainedScope=function(){if(this._localsUsedAsUpvalues.length)return!0;if(this._upvalues.length)return!0;for(var e in this._funcInstances)if(this._funcInstances.hasOwnProperty(e)&&this._funcInstances[e].isRetained())return!0;return!1},shine.Closure.prototype.dispose=function(e){(e||!this.hasRetainedScope())&&(delete this._vm,delete this._globals,delete this._file,delete this._data,delete this._functions,delete this._instructions,delete this._pc,shine.gc.collect(this._params),shine.gc.collect(this._localFunctions),delete this._params,delete this._constants,delete this._upvalues,this._register.reset(),this._funcInstances.length=0,this._localsUsedAsUpvalues.length=0,shine.Closure._graveyard.push(this))};var shine=shine||{};shine.Function=function(e,t,n,r,i){this._vm=e,this._file=t,this._data=n||shine.gc.createObject(),this._globals=r,this._upvalues=i||shine.gc.createArray(),this._index=shine.Function._index++,this.instances=shine.gc.createArray(),this._retainCount=0,this._convertInstructions()},shine.Function.prototype={},shine.Function.prototype.constructor=shine.Function,shine.Function._index=0,shine.Function.prototype.getInstance=function(){return shine.Closure.create(this._vm,this._file,this._data,this._globals,this._upvalues)},shine.Function.prototype._compile=function(){},shine.Function.prototype._convertInstructions=function(){var e,t,n,r,i,s,o=this._data.instructions||shine.gc.createArray();if("ArrayBuffer"in window){if(o instanceof Int32Array)return;if(0==o.length||void 0===o[0].op)return e=new ArrayBuffer(4*o.length),t=new Int32Array(e),t.set(o),void(this._data.instructions=t);e=new ArrayBuffer(4*o.length*4),t=new Int32Array(e)}else{if(0==o.length||"number"==typeof o[0])return;t=[]}for(n=0,r=o.length;r>n;n++)i=o[n],s=4*n,t[s]=i.op,t[s+1]=i.A,t[s+2]=i.B,t[s+3]=i.C;this._data.instructions=t},shine.Function.prototype.call=function(e){var t,n=shine.gc.createArray(),r=arguments.length;for(t=1;r>t;t++)n.push(arguments[t]);return this.apply(e,n)},shine.Function.prototype.apply=function(e,t){e&&e instanceof Array&&!t&&(t=e,e=void 0);try{return this.getInstance().apply(e,t)}catch(n){shine.Error.catchExecutionError(n)}},shine.Function.prototype.toString=function(){return"function: 0x"+this._index.toString(16)},shine.Function.prototype.retain=function(){this._retainCount++},shine.Function.prototype.release=function(){!--this._retainCount&&this._readyToDispose&&this.dispose()},shine.Function.prototype.isRetained=function(){if(this._retainCount)return!0;for(var e in this.instances)if(this.instances.hasOwnProperty(e)&&this.instances[e].hasRetainedScope())return!0;return!1},shine.Function.prototype.dispose=function(e){if(this._readyToDispose=!0,e)for(var t=0,n=this.instances.length;n>t;t++)this.instances[t].dispose(!0);else if(this.isRetained())return!1;return delete this._vm,delete this._file,delete this._data,delete this._globals,delete this._upvalues,delete this.instances,delete this._readyToDispose,!0};var shine=shine||{};shine.Coroutine=function(e){shine.EventEmitter.call(this),this._func=e.getInstance(),this._index=shine.Coroutine._index++,this._started=!1,this._yieldVars=void 0,this._resumeStack=this._resumeStack||shine.gc.createArray(),this.status=shine.SUSPENDED,shine.stddebug.write("[coroutine created]\n")},shine.Coroutine.prototype=new shine.EventEmitter,shine.Coroutine.prototype.constructor=shine.Function,shine.Coroutine._index=0,shine.Coroutine._graveyard=[],shine.Coroutine.create=function(e){var t=shine.Coroutine._graveyard.pop();return t?(shine.Coroutine.apply(t,arguments),t):new shine.Coroutine(e)},shine.Coroutine._add=function(e){var t=shine.getCurrentVM();t._coroutineStack.push(t._coroutineRunning),t._coroutineRunning=e},shine.Coroutine._remove=function(){var e=shine.getCurrentVM();e._coroutineRunning=e._coroutineStack.pop()},shine.Coroutine.prototype.resume=function(){var e,t,n=this._func._instance._vm;try{if(this.status==shine.DEAD)throw new shine.Error("cannot resume dead coroutine");if(shine.Coroutine._add(this),n&&n._status==shine.RESUMING?t=n._resumeStack.pop():shine.debug&&shine.debug._status==shine.RESUMING&&(t=shine.debug._resumeStack.pop()),t)e=t instanceof shine.Coroutine?t.resume():t instanceof Function?t():this._func._instance._run();else if(this._started){if(this.status=shine.RESUMING,shine.stddebug.write("[coroutine resuming]\n"),arguments.length){for(var r=shine.gc.createArray(),i=0,s=arguments.length;s>i;i++)r.push(arguments[i]);this._yieldVars=r}else this._yieldVars=void 0;e=this._resumeStack.pop()._run()}else this.status=shine.RUNNING,shine.stddebug.write("[coroutine started]\n"),this._started=!0,e=this._func.apply(null,arguments);if(shine.debug&&shine.debug._status==shine.SUSPENDING)return void shine.debug._resumeStack.push(this);this.status=this._func._instance.terminated?shine.DEAD:shine.SUSPENDED,e&&e.unshift(!0)}catch(o){o.luaStack||(o.luaStack=shine.gc.createArray()),o.luaStack.push([this._func._instance,this._func._instance._pc-1]),e=[!1,o],this.status=shine.DEAD}return this.status==shine.DEAD&&(shine.Coroutine._remove(),shine.stddebug.write("[coroutine terminated]\n"),this._dispose()),e},shine.Coroutine.prototype.toString=function(){return"thread:"+(this._index?"0x"+this._index.toString(16):"[dead]")},shine.Coroutine.prototype._dispose=function(){delete this._func,delete this._index,delete this._listeners,delete this._started,delete this._yieldVars,delete this.status,this._resumeStack.length=0,shine.Coroutine._graveyard.push(this)},function(e){e.Table=function(t){var n,r,i,s,o=(t||e.EMPTY_OBJ)instanceof Array;t=t||e.gc.createObject(),this.__shine=n=e.gc.createObject(),n.type="table",n.index=++e.Table.count,n.keys=e.gc.createArray(),n.values=e.gc.createArray(),n.numValues=[void 0];for(s in t)if(t.hasOwnProperty(s)){var a;r=o?parseInt(s,10)+1:s,i=t[s],null===i&&(i=void 0),a="undefined"!=typeof getQualifiedClassName?!(("Object"!=getQualifiedClassName(i)||i instanceof e.Table||i instanceof e.Coroutine||i instanceof e.Function||i instanceof e.Closure)&&"Array"!=getQualifiedClassName(i)):"object"==typeof i&&i.constructor===Object||i instanceof Array,this.setMember(r,a?new e.Table(i):i)}},e.Table.count=0,e.Table.prototype.getMember=function(t){var n,r,i,s,o=typeof t;switch("string"!=o||"getMember"!=t&&"setMember"!=t||(o="object"),o){case"string":if(this.hasOwnProperty(t)&&void 0!==this[t])return this[t];break;case"number":if(t>0&&t==t>>0){if(r=this.__shine.numValues[t],void 0!==r)return r;break}default:if(n=this.__shine.keys.indexOf(t),n>=0)return this.__shine.values[n]}if((i=this.__shine.metatable)&&(s=i.__index))switch(s.constructor){case e.Table:return s.getMember(t);case Function:case e.Function:return r=s.apply(this,[this,t]),r instanceof Array?r[0]:r}},e.Table.prototype.setMember=function(t,n){var r,i,s,o=this.__shine.metatable,a=typeof t,u=t>0&&t==t>>0;switch("string"!=a||"getMember"!=t&&"setMember"!=t||(a="object"),a){case"string":r=this[t];break;case"number":if(u){r=this.__shine.numValues[t];break}default:i=this.__shine.keys,s=i.indexOf(t),r=-1==s?void 0:this.__shine.values[s],void 0===r&&e.gc.incrRef(t)}if(void 0===r&&o&&o.__newindex)switch(o.__newindex.constructor){case e.Table:return o.__newindex.setMember(t,n);case Function:return o.__newindex(this,t,n);case e.Function:return o.__newindex.apply(this,[this,t,n])[0]}switch(a){case"string":this[t]=n;break;case"number":if(u){this.__shine.numValues[t]=n;break}default:0>s&&(s=i.length,i[s]=t),this.__shine.values[s]=n}e.gc.incrRef(n),e.gc.decrRef(r)},e.Table.prototype.toString=function(){var t;return this.constructor!=e.Table?"userdata":this.__shine&&(t=this.__shine.metatable)&&t.__tostring?t.__tostring.call(void 0,this)[0]:"table: 0x"+this.__shine.index.toString(16)}}(shine||{});var shine=shine||{};shine.Error=function(e){this.message=e},shine.Error.prototype=Object.create?Object.create(Error.prototype):new Error,shine.Error.prototype.constructor=shine.Error,shine.Error.catchExecutionError=function(e){if(e)throw(e||shine.EMPTY_OBJ)instanceof shine.Error&&(e.luaMessage||(e.luaMessage=e.message),e.message=e.luaMessage+"\n    "+e._stackToString()),e},shine.Error.prototype._stackToString=function(){var e,t,n,r,i,s,o,a,u,c=[];for(this.luaStack=this.luaStack||[],o=0,u=this.luaStack.length;u>o;o++)if(!this.luaStack[o-1]||this.luaStack[o][0]!==this.luaStack[o-1][0]||this.luaStack[o][1]!==this.luaStack[o-1][1])if("string"==typeof this.luaStack[o])c.push(this.luaStack[o]);else{if(e=this.luaStack[o][0],t=this.luaStack[o][1],!(n=e._data.sourceName)){if(r=this.luaStack[o+1]&&this.luaStack[o+1][0]){for(a in r._localFunctions)if(r._localFunctions[a]._data===e._data){n=a;break}if(!n)for(a in r._upvalues)if(i=r._upvalues[a].getValue(),(i||shine.EMPTY_OBJ)instanceof shine.Function&&i._data===e._data){n=r._upvalues[a].name;break}}if(!n)for(a in e._globals)if((e._globals[a]||shine.EMPTY_OBJ)instanceof shine.Function&&e._globals[a]._data===e._data){n=a;break}}e._file&&e._file.url?(s=e._file.data.sourcePath)?(s=e._file.url.match("^(.*)/.*?$"),s=(null===s?".":s[1]||"")+"/"+s,s=s.replace(/\/\.\//g,"/").replace(/\/.*?\/\.\.\//g,"/")):s=e._file.url:s="(compiled code)",c.push((n||"function")+" ["+(s||"file")+":"+(e._data.linePositions?e._data.linePositions[t]:"?")+"]")}return c.join("\n    ")},shine.Error.prototype.toString=function(){return"Lua run-time error: "+this.message};var shine=shine||{};shine.File=function(e,t){this.url=e,this.data=t},shine.File.prototype.dispose=function(){delete this.url,delete this.data},function(shine){function move(e,t){var n,r,i=this._register.getItem(t);if(this._register.setItem(e,i),this._data.locals&&i&&i instanceof shine.Function)for(r=this._data.locals.length-1;r>=0;r--)n=this._data.locals[r],n.startpc==this._pc-1&&(this._localFunctions[n.varname]=i)}function loadk(e,t){this._register.setItem(e,this.getConstant(t))}function loadbool(e,t,n){this._register.setItem(e,!!t),n&&this._pc++}function loadnil(e,t){for(var n=e;t>=n;n++)this._register.setItem(n,void 0)}function getupval(e,t){var n=void 0===this._upvalues[t]?void 0:this._upvalues[t].getValue();this._register.setItem(e,n)}function getglobal(e,t){t=this.getConstant(t),this._register.setItem(e,getglobal_internal.call(this,t))}function getglobal_internal(e){return"_G"==e?this._globals:this._globals[e]}function gettable(e,t,n){t=this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n),this._register.setItem(e,gettable_internal.call(this,t,n))}function gettable_internal(e,t){var n;if(void 0===e)throw new shine.Error("Attempt to index a nil value ("+t+" not present in nil)");return n=e instanceof shine.Table?e.getMember(t):"string"==typeof e&&shine.lib.string[t]?shine.lib.string[t]:e[t],this&&this._localFunctions&&n&&n instanceof shine.Function&&(this._localFunctions[t]=n),n}function setglobal(e,t){var n=this.getConstant(t),r=this._register.getItem(e);setglobal_internal.call(this,n,r)}function setglobal_internal(e,t){var n=this._globals[e];shine.gc.incrRef(t),shine.gc.decrRef(n),this._globals[e]=t}function setupval(e,t){this._upvalues[t].setValue(this._register.getItem(e))}function settable(e,t,n){e=this._register.getItem(e),t=t>=256?this.getConstant(t-256):this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n),settable_internal.call(this,e,t,n)}function settable_internal(e,t,n){if(void 0===e)throw new shine.Error("Attempt to index a missing field (can't set \""+t+'" on a nil value)');e instanceof shine.Table?e.setMember(t,n):e[t]=n}function newtable(e){this._register.setItem(e,newtable_internal())}function newtable_internal(){var e=new shine.Table;return e.__shine.refCount=0,e}function self(e,t,n){t=this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n),this._register.setItem(e+1,t),this._register.setItem(e,self_internal(t,n))}function self_internal(e,t){if(void 0===e)throw new shine.Error("Attempt to index a nil value ("+t+" not present in nil)");return e instanceof shine.Table?e.getMember(t):"string"==typeof e&&shine.lib.string[t]?shine.lib.string[t]:e[t]}function binary_arithmetic(e,t,n,r,i){t=t>=256?this.getConstant(t-256):this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n);var s=binary_arithmetic_internal.call(this,t,n,r,i);this._register.setItem(e,s)}function binary_arithmetic_internal(e,t,n,r){var i,r,s=shine.utils.coerceToNumber;return e&&e instanceof shine.Table&&(i=e.__shine.metatable)&&(r=i.getMember(n))||t&&t instanceof shine.Table&&(i=t.__shine.metatable)&&(r=i.getMember(n))?r.apply(null,[e,t],!0)[0]:("number"!=typeof e&&(e=s(e,"attempt to perform arithmetic on a %type value")),"number"!=typeof t&&(t=s(t,"attempt to perform arithmetic on a %type value")),r(e,t))}function add(e,t,n){binary_arithmetic.call(this,e,t,n,"__add",add_internal)}function add_internal(e,t){return e+t}function sub(e,t,n){binary_arithmetic.call(this,e,t,n,"__sub",sub_internal)}function sub_internal(e,t){return e-t}function mul(e,t,n){binary_arithmetic.call(this,e,t,n,"__mul",mul_internal)}function mul_internal(e,t){return e*t}function div(e,t,n){binary_arithmetic.call(this,e,t,n,"__div",div_internal)}function div_internal(e,t){if(void 0===t)throw new shine.Error("attempt to perform arithmetic on a nil value");return e/t}function mod(e,t,n){binary_arithmetic.call(this,e,t,n,"__mod",mod_internal)}function mod_internal(e,t){var n,r;return 0===t||t===-1/0||1/0===t||window.isNaN(e)||window.isNaN(t)?0/0:(n=Math.abs(e)%(r=Math.abs(t)),0>e*t&&0!=n&&(n=r-n),0>t&&(n*=-1),n)}function pow(e,t,n){binary_arithmetic.call(this,e,t,n,"__pow",Math.pow)}function unm(e,t){t=this._register.getItem(t),this._register.setItem(e,unm_internal(t))}function unm_internal(e){var t,n,r;return e&&e instanceof shine.Table&&(t=e.__shine.metatable)&&(n=t.getMember("__unm"))?(r=shine.gc.createArray(),r.push(e),n.apply(null,r,!0)[0]):("number"!=typeof e&&(e=shine.utils.coerceToNumber(e,"attempt to perform arithmetic on a %type value")),-e)}function not(e,t){this._register.setItem(e,!this._register.getItem(t))}function len(e,t){t=this._register.getItem(t),this._register.setItem(e,len_internal(t))}function len_internal(e){var t,n;if(void 0==e)throw new shine.Error("attempt to get length of a nil value");if(e instanceof shine.Table)return shine.lib.table.getn(e);if("object"==typeof e){t=0;for(n in e)e.hasOwnProperty(n)&&t++;return t}return e.length}function concat(e,t,n){var r,i=this._register.getItem(n),s=[];for(r=n-1;r>=t;r--)s.push(this._register.getItem(r));this._register.setItem(e,concat_internal(i,s))}function concat_internal(e,t){var n,r,i,s,o,a,u=e&&e instanceof shine.Table&&(s=e.__shine.metatable)&&(o=s.getMember("__concat")),c=shine.utils.coerceToString;for(r=0,i=t.length;i>r;r++)n=t[r],void 0!==n&&n instanceof shine.Table&&(s=n.__shine.metatable)&&(o=s.getMember("__concat"))||(o=u)?(a=shine.gc.createArray(),a.push(n,e),e=o.apply(null,a,!0)[0]):(e=c(e,"attempt to concatenate a %type value"),n=c(n,"attempt to concatenate a %type value"),e=n+e);return e}function jmp(e,t){this._pc+=t}function eq(e,t,n){t=t>=256?this.getConstant(t-256):this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n),eq_internal(t,n)!=e&&this._pc++}function eq_internal(e,t){var n,r,i,s;return e!==t&&e&&e instanceof shine.Table&&(t||shine.EMPTY_OBJ)instanceof shine.Table&&(n=e.__shine.metatable)&&(r=t.__shine.metatable)&&n===r&&(i=n.getMember("__eq"))?(s=shine.gc.createArray(),s.push(e,t),!!i.apply(null,s,!0)[0]):e===t}function compare(e,t,n,r,i){t=t>=256?this.getConstant(t-256):this._register.getItem(t),n=n>=256?this.getConstant(n-256):this._register.getItem(n),compare_internal(t,n,r,i)!=e&&this._pc++}function compare_internal(e,t,n,r){var i,s,o,a,u="object"!=typeof e&&typeof e||e instanceof shine.Table&&"table"||"userdata",c="object"!=typeof t&&typeof t||t instanceof shine.Table&&"table"||"userdata";if(u!==c)throw new shine.Error("attempt to compare "+u+" with "+c);if("table"==u){if((o=e.__shine.metatable)&&(a=t.__shine.metatable)&&o===a&&(i=o.getMember(n)))return s=shine.gc.createArray(),s.push(e,t),i.apply(null,s,!0)[0];throw new shine.Error("attempt to compare two table values")}return r(e,t)}function lt(e,t,n){compare.call(this,e,t,n,"__lt",lt_func)}function lt_func(e,t){return t>e}function le(e,t,n){compare.call(this,e,t,n,"__le",le_func)}function le_func(e,t){return t>=e}function test(e,t,n){e=this._register.getItem(e),shine.utils.coerceToBoolean(e)!==!!n&&this._pc++}function testset(e,t,n){t=this._register.getItem(t),shine.utils.coerceToBoolean(t)===!!n?this._register.setItem(e,t):this._pc++}function call(e,t,n){var r,i,s,o,a,u,c,l=shine.gc.createArray();if(this._vm._status==shine.RESUMING?o=this._vm._resumeStack.pop():shine.debug&&shine.debug._status==shine.RESUMING&&(o=shine.debug._resumeStack.pop()),o?o instanceof shine.Coroutine?(s=o.resume(),s&&s.shift()):s=o instanceof shine.Closure?o._run():o():(a=this._vm._coroutineRunning)&&a.status==shine.RESUMING?(o=a._resumeStack.pop(),s=o._run()):l=call_prep.call(this,e,t),o||(u=this._register.getItem(e),s=call_internal.call(this,u,l)),shine.gc.collect(l),this._vm._status==shine.SUSPENDING)return void(void 0!==s&&void 0===this._vm._resumeVars&&(this._vm._resumeVars=s instanceof Array?s:[s]));if(s&&s instanceof Array||(s=[s]),!(a=this._vm._coroutineRunning)||a.status!=shine.SUSPENDING)if(0===n){for(i=s.length,r=0;i>r;r++)this._register.setItem(e+r,null==(c=s[r])?void 0:c);this._register.splice(e+i)}else for(r=0;n-1>r;r++)this._register.setItem(e+r,null==(c=s[r])?void 0:c)}function call_prep(e,t){var n,r,i=[];if(0===t)for(r=this._register.getLength(),n=e+1;r>n;n++)i.push(this._register.getItem(n));else for(n=0;t-1>n;n++)i.push(this._register.getItem(e+n+1));return i}function call_internal(e,t){var n,r,i;if(void 0===e)throw new shine.Error("Attempt to call a nil value");if(e.apply)n=e.apply(null,t);else{if(!(e instanceof shine.Table&&(r=e.__shine.metatable)&&(i=r.getMember("__call"))&&i.apply))throw new shine.Error("Attempt to call non-function");t.unshift(e),n=i.apply(null,t,!0)}return n}function tailcall(e,t){return call.call(this,e,t,0)}function return_(e,t){var n,r,i,s=shine.gc.createArray();if(0===t)for(i=this._register.getLength(),r=e;i>r;r++)s.push(this._register.getItem(r));else for(r=0;t-1>r;r++)s.push(n=this._register.getItem(e+r)),shine.gc.incrRef(n);return close.call(this,0),this.dead=!0,s}function forloop(e,t){var n=this._register.getItem(e+2),r=this._register.getItem(e+1),i=this._register.getItem(e)+n,s=n/Math.abs(n);this._register.setItem(e,i),(1===s&&r>=i||1!==s&&i>=r)&&(this._register.setItem(e+3,i),this._pc+=t)}function forprep(e,t){this._register.setItem(e,this._register.getItem(e)-this._register.getItem(e+2)),this._pc+=t}function tforloop(e,t,n){var r,i,s,o=shine.gc.createArray();for(o.push(this._register.getItem(e+1),this._register.getItem(e+2)),r=tforloop_internal(this._register.getItem(e),o),s=0;n>s;s++)this._register.setItem(e+s+3,r[s]);void 0!==(i=r[0])?this._register.setItem(e+2,i):this._pc++}function tforloop_internal(e,t){var n,r=e.apply(void 0,t);return r&&r instanceof Array||(n=shine.gc.createArray(),n.push(r),r=n),r}function setlist(e,t,n){var r,i=t||this._register.getLength()-e-1;for(r=0;i>r;r++)this._register.getItem(e).setMember(50*(n-1)+r+1,this._register.getItem(e+r+1))}function close(e){close_internal.call(this,e,close_getValue,close_clearItem)}function close_getValue(e){return this._register.getItem(e)}function close_clearItem(e){this._register.clearItem(e)}function close_internal(e,t,n){for(var r=0,i=this._localsUsedAsUpvalues.length;i>r;r++){var s=this._localsUsedAsUpvalues[r];s&&s.registerIndex>=e&&(s.upvalue.value=t.call(this,s.registerIndex),s.upvalue.open=!1,this._localsUsedAsUpvalues.splice(r--,1),i--,n&&n.call(this,s.registerIndex))}}function closure(e,t){for(var n,r,i=shine.gc.createArray(),s=this._instructions,o=s.slice||s.subarray;void 0!==(n=s[4*this._pc])&&(0===n||4===n)&&0===this._instructions[4*this._pc+1];)i.push.apply(i,o.call(s,4*this._pc,4*this._pc+4)),this._pc++;
r=new shine.Function(this._vm,this._file,this._functions[t],this._globals,closure_upvalues.call(this,t,i,closure_getUpval,closure_setUpval)),this._register.setItem(e,r)}function closure_upvalues(e,t,n,r){var i,s,o,a,u,c,l=shine.gc.createArray();for(u=0,c=t.length;c>u;u+=4)i=t[u],s=t[u+1],o=t[u+2],a=t[u+3],l.push((i?closure_getupval:closure_move).call(this,e,u/4,s,o,a,n,r));return l}function closure_getUpval(e){return this._register.getItem(e)}function closure_setUpval(e,t){this._register.setItem(e,t)}function closure_move(e,t,n,r,i,s,o){for(var a,u,c=this,l=0,h=this._localsUsedAsUpvalues.length;h>l;l++)if(a=this._localsUsedAsUpvalues[l],a.registerIndex===r){u=a.upvalue;break}return u||(u={open:!0,getValue:function(){return this.open?s.call(c,r):this.value},setValue:function(e){this.open?o.call(c,r,e):(shine.gc.incrRef(e),shine.gc.decrRef(this.value),this.value=e)},name:this._functions[e].upvalues?this._functions[e].upvalues[t]:"(upvalue)"},this._localsUsedAsUpvalues.push({registerIndex:r,upvalue:u})),u}function closure_getupval(e,t,n,r){var i=this;return{getValue:function(){return i._upvalues[r].getValue()},setValue:function(e){i._upvalues[r].setValue(e)},name:this._upvalues[r].name}}function vararg(e,t){var n,r,i=0===t?Math.max(0,this._params.length-this._data.paramCount):t-1;for(n=0;i>n;n++)this._register.setItem(e+n,this._params[this._data.paramCount+n]);for(n=e+i,r=this._register.getLength();r>n;n++)this._register.clearItem(n)}function get_upv(e){return this[e]}function set_upv(e,t){setR(this,e,t)}function setR(e,t,n){incr(n),decr(e[t]),e[t]=n}function clearR(e,t){for(var n=t,r=e.length;r>n;n++)decr(e[n]);e.length=t-1}function setRArr(e,t,n,r){var i,s,o=e.splice(t,1/0);for(r instanceof Array||(i=createArray(),i.push(r),r=i),i=0,s=n||r.length;s>i;i++)incr(e[t+i]=r[i]);for(i=0,s=o.length;s>i;i++)decr(e.shift());cacheArray(r)}function callR(e,t,n,r,i){var s,o,a,u,c=createArray();if(r)for(a=i?i:e.length,o=r;a>o;o++)c.push(e[o]);if(s=call_internal(e[t],c),u=e.splice(t,1/0),1==n);else if(s instanceof Array){for(o=0,a=s.length;a>o;o++)incr(s[o]);s.unshift(t,0),Array.prototype.splice.apply(e,s),cacheArray(s)}else setR(e,t,s);for(o=0,a=u.length;a>o;o++)decr(u.shift());cacheArray(c)}function setlistT(e,t,n,r,i){t.setMember(r,e[n]),--i&&setlistT(e,t,n+1,r+1,i)}function create_func(e,t,n){return new shine.Function(n._vm,n._file,e,n._globals,t)}shine.operations={};var incr=shine.gc.incrRef,decr=shine.gc.decrRef.bind(shine.gc),collect=shine.gc.collect.bind(shine.gc),createArray=shine.gc.createArray.bind(shine.gc),cacheArray=shine.gc.cacheArray.bind(shine.gc),EMPTY_ARR=shine.EMPTY_ARR;shine.operations.HANDLERS=[move,loadk,loadbool,loadnil,getupval,getglobal,gettable,setglobal,setupval,settable,newtable,self,add,sub,mul,div,mod,pow,unm,not,len,concat,jmp,eq,lt,le,test,testset,call,tailcall,return_,forloop,forprep,tforloop,setlist,close,closure,vararg],shine.operations.NAMES=["move","loadk","loadbool","loadnil","getupval","getglobal","gettable","setglobal","setupval","settable","newtable","self","add","sub","mul","div","mod","pow","unm","not","len","concat","jmp","eq","lt","le","test","testset","call","tailcall","return","forloop","forprep","tforloop","setlist","close","closure","vararg"],shine.operations.evaluateInScope=function(funcDef,vm){var func,shine_g=(vm||shine.getCurrentVM())._globals;return eval("func="+funcDef),func},shine.operations.internal={getglobal:getglobal_internal,gettable:gettable_internal,setglobal:setglobal_internal,settable:settable_internal,newtable:newtable_internal,self:self_internal,binary_arithmetic:binary_arithmetic_internal,add:add_internal,sub:sub_internal,mul:mul_internal,div:div_internal,mod:mod_internal,unm:unm_internal,len:len_internal,concat:concat_internal,eq:eq_internal,compare:compare_internal,call:call_internal,tforloop:tforloop_internal,close:close_internal,closure_upvalues:closure_upvalues,lt_func:lt_func,le_func:le_func}}(shine||{}),function(e){function t(e,t,n){return function(r,i){var s=Q.createObject();return s._vm=e._vm,s._globals=e._globals,s._upvalues=e._upvalues,s._constants=t.constants,s._functions=t.functions,s._localsUsedAsUpvalues=Q.createArray(),n.apply(s,i)}}function n(){tt||(tt=!0,H=nt(),et=0,window.setTimeout(i,e.jit.COMPILE_INTERVAL),window.requestAnimationFrame(r))}function r(){tt&&(et++,window.requestAnimationFrame(r))}function i(){if(e&&e.jit){var t=nt(),n=1e3*et/(t-H);n>=e.jit.MIN_FPS_TO_COMPILE?s():(et=0,H=t,window.setTimeout(i,e.jit.COMPILE_INTERVAL))}}function s(){for(tt=!1,e.jit.onCompile();K.length;){var t=K.shift();o(t[0],t[1]),Q.collect(t)}}function o(t,n){var r=e.jit.toJS(t);n(e.operations.evaluateInScope(r,t._vm))}function a(e){return"string"==typeof e?(e=e.replace(rt,"\\n"),e=e.replace(it,"\\'"),"'"+e+"'"):e}function u(e){var t=e+this.pc;return this.vars.push(t),t}function c(e,t){return"setR(R,"+e+",R["+t+"]);"}function l(e,t){return"setR(R,"+e+","+a(this.getConstant(t))+");"}function h(e,t,n){var r,i="setR(R,"+e+","+!!t+");";return n&&(this.jumpDestinations[r=this.pc+2]=1,i+="pc="+r+";break;"),i}function f(e,t){for(var n,r=Q.createArray(),i=e;t>=i;i++)r.push("setR(R,"+i+");");return n=r.join(""),Q.collect(r),n}function p(e,t){return"setR(R,"+e+",cl._upvalues["+t+"]===void 0?void 0:cl._upvalues["+t+"].getValue());"}function _(e,t){var n=this.getConstant(t);return"setR(R,"+e+",shine_g"+("_G"==n?"":"["+a(n)+"]")+");"}function g(e,t,n){return n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","setR(R,"+e+",gettable_internal(R["+t+"],"+n+"));"}function d(e,t){var n=a(this.getConstant(t));return"setglobal_internal.call(cl,"+n+",R["+e+"]);"}function m(e,t){return"cl._upvalues["+t+"].setValue(R["+e+"]);"}function b(e,t,n){return t=t>=256?a(this.getConstant(t-256)):"R["+t+"]",n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","settable_internal(R["+e+"],"+t+","+n+");"}function v(e){return"setR(R,"+e+",newtable_internal());"}function y(e,t,n){return n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","setR(R,"+(e+1)+",R["+t+"]);setR(R,"+e+",self_internal(R["+t+"],"+n+"));"}function w(e,t,n,r){return t=t>=256?a(this.getConstant(t-256)):"R["+t+"]",n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","setR(R,"+e+",binary_arithmetic_internal("+t+","+n+",'__"+r+"',"+r+"_internal));"}function E(e,t,n){return w.call(this,e,t,n,"add")}function R(e,t,n){return w.call(this,e,t,n,"sub")}function M(e,t,n){return w.call(this,e,t,n,"mul")}function T(e,t,n){return w.call(this,e,t,n,"div")}function A(e,t,n){return w.call(this,e,t,n,"mod")}function S(e,t,n){return t=t>=256?a(this.getConstant(t-256)):"R["+t+"]",n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","setR(R,"+e+",binary_arithmetic_internal("+t+","+n+",'__pow',Math.pow));"}function I(e,t){return"setR(R,"+e+",unm_internal(R["+t+"]));"}function C(e,t){return"setR(R,"+e+",!R["+t+"]);"}function x(e,t){return"setR(R,"+e+",len_internal(R["+t+"]));"}function N(e,t,n){return"setR(R,"+e+",concat_internal(R["+n+"],R.slice("+t+","+n+").reverse()));"}function k(e,t){var n=this.pc+t+1;return this.jumpDestinations[n]=1,"pc="+n+";break;"}function O(e,t,n){var r=this.pc+2;return this.jumpDestinations[r]=1,e=e?"!":"",t=t>=256?a(this.getConstant(t-256)):"R["+t+"]",n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","if("+e+"eq_internal("+t+","+n+")){pc="+r+";break}"}function P(e,t,n,r,i){var s=this.pc+2;return this.jumpDestinations[s]=1,t=t>=256?a(this.getConstant(t-256)):"R["+t+"]",n=n>=256?a(this.getConstant(n-256)):"R["+n+"]","if(compare_internal("+t+","+n+",'"+r+"',"+i+")!="+e+"){pc="+s+";break;}"}function j(e,t,n){return P.call(this,e,t,n,"__lt","lt_func")}function F(e,t,n){return P.call(this,e,t,n,"__le","le_func")}function U(e,t,n){var r=this.pc+2;return this.jumpDestinations[r]=1,"if(shine.utils.coerceToBoolean(R["+e+"])!="+n+"){pc="+r+";break}"}function D(e,t,n){var r=this.pc+2;return this.jumpDestinations[r]=1,"if(shine.utils.coerceToBoolean(R["+t+"])=="+n+"){R["+e+"]=R["+t+"]}else{pc="+r+";break}"}function V(e,t,n){var r,i;if(0===t)r=e+1+",void 0";else if(1===t)r="void 0,void 0";else{r=e+1+","+(e+t);var s,o,a,u=!0,c=Q.createArray();for(s=1;t>s;s++){if(!(o=this.code[this.pc-s])||!o.match(W)||o[1]!=""+(e+t-s)){u=!1;break}c.unshift(o[2])}if(u&&(o=this.code[this.pc-t].match(W),o&&o[1]==""+e)){for(a=o[2],s=1;t>=s;s++)this.code[this.pc-s]="";i=1==n?a+".call(void 0,"+c.join(",")+");":"setRArr(R,"+e+","+(n?n-1:"void 0")+","+a+".call(void 0,"+c.join(",")+"));"}}return Q.collect(c),i||"callR(R,"+e+","+n+","+r+");"}function B(e,t){return V.call(this,e,t,0)}function G(e,t){var n,r=z.call(this,0);return 0===t?(n=u.call(this,"i"),"_=R.slice("+e+");"+r+"return _;"):1==t?r+"return createArray();":"_=R.slice("+e+","+(e+t-1)+");"+r+"return _;"}function J(e,t){var n,r,i="R["+(e+2)+"]",s="R["+(e+1)+"]",o="R["+e+"]+"+i,a=i+">0",c=u.call(this,"limit"),l=this.pc+t+1,h=!0;for(r=l;r<this.pc;r++)if(this.jumpDestinations[r]||this.code[r]&&this.code[r].indexOf("pc=")>=0){h=!1;break}return h?(n="R["+(e+3)+"]",this.code[l-1]="for("+n+"=R["+e+"],"+c+"="+s+";"+a+"?"+n+"<="+c+":"+n+">="+c+";"+n+"+="+i+"){",delete this.jumpDestinations[this.pc],"}"):(this.jumpDestinations[l]=1,"setR(R,"+e+","+o+");_="+a+";if((_&&R["+e+"]<="+s+")||(!_&&R["+e+"]>="+s+")){setR(R,"+(e+3)+",R["+e+"]);pc="+l+";break}")}function Y(e,t){var n=this.pc+t+1;return this.jumpDestinations[n]=1,"setR(R,"+e+",R["+e+"]-R["+(e+2)+"]);pc="+n+";break;"}function L(e,t,n){var r,i,i,s=u.call(this,"tfor"),o=this.pc+2,a=this.pc+this._instructions[4*this.pc+6]+1,c=!0;for(i=a+1;i<this.pc;i++)if(this.jumpDestinations[i]||this.code[i]&&this.code[i].indexOf("pc=")>=0){c=!1;break}if(c){for(delete this.jumpDestinations[this.pc],this.code[this.pc+1]="/* noop */",r="while(1){",r+=s+"=tforloop_internal(R["+e+"],R.slice("+(e+1)+","+(e+3)+"));",i=0;n>i;i++)r+="setR(R,"+(e+i+3)+","+s+"["+i+"]);";return r+="if("+s+"[0]!==void 0){setR(R,"+(e+2)+","+s+"[0])}else{break}",this.code[a]=r,"}"}for(this.jumpDestinations[o]=1,r=s+"=tforloop_internal(R["+e+"],R.slice("+(e+1)+","+(e+3)+"));",i=0;n>i;i++)r+="setR(R,"+(e+i+3)+","+s+"["+i+"]);";return r+="if("+s+"[0]!==void 0){setR(R,"+(e+2)+","+s+"[0])}else{pc="+o+";break}"}function $(e,t,n){return"setlistT(R,R["+e+"],"+(e+1)+","+(50*(n-1)+1)+","+(0==t?"R.length-1":t)+");"}function z(e){return this.vars.indexOf("getupval")<0&&this.vars.push("getupval"),"close_internal.call(cl,"+e+",getupval);"}function q(e,t){var n,r,i=Q.createArray(),s=this._instructions,o=o,a=s.slice||s.subarray;for(this.pc++,this.vars.indexOf("getupval")<0&&this.vars.push("getupval"),this.vars.indexOf("setupval")<0&&this.vars.push("setupval");void 0!==(n=s[4*this.pc])&&(0===n||4===n)&&0===this._instructions[4*this.pc+1];)i.push.apply(i,a.call(s,4*this.pc,4*this.pc+4)),this.pc++;return this.pc--,r=i.length||"undefined"==typeof o?"setR(R,"+e+",create_func(cl._functions["+t+"],closure_upvalues.call(cl,"+t+","+JSON.stringify(i)+",getupval,setupval),cl));":"setR(R,"+e+",cl._functions["+t+"]);",Q.collect(i),r}function Z(e,t){var n,r,i="R.length="+e+";";if(0===t)i="for(_="+this.paramCount+";_<arguments.length;_++)setR(R,_+"+(e-this.paramCount)+",arguments[_]);";else for(n=0,r=t-1;r>n;n++)i+="setR(R,"+(e+n)+",arguments["+(this.paramCount+n)+"]);";return i}e.jit=e.jit||{},e.jit.enabled=e.jit.enabled||!1,e.jit.INVOCATION_TOLERANCE=2,e.jit.MIN_FPS_TO_COMPILE=59,e.jit.COMPILE_INTERVAL=500;var H,W=/^setR\(R,(\d+),([^;]*?)\);$/,Q=e.gc,X=e.Function.prototype.apply,K=Q.createArray(),et=0,tt=!1,nt=Date.now?Date.now:function(){return(new Date).getTime()};e.Function.prototype.apply=function(){var n,r;if(e.jit.enabled){if(n=this._data,r=n._compiled)return this.apply=t(this,n,r),this.apply.apply(this,arguments);this._runCount=this._runCount||0,this._compiling||++this._runCount!=e.jit.INVOCATION_TOLERANCE||this._compile()}return X.apply(this,arguments)},e.Function.prototype._compile=function(){var n=this,r=this._data;r._compiling||(r._compiling=!0,e.jit.compile(this,function(e){(r._compiled=e)&&(r._compiling=!1,n.apply=t(n,r,e))}))},e.jit.onCompile=function(){};var rt=/\n/g,it=/'/g;e.jit.TRANSLATORS=[c,l,h,f,p,_,g,d,m,b,v,y,E,R,M,T,A,S,I,C,x,N,k,O,j,F,U,D,V,B,G,J,Y,L,$,z,q,Z],e.jit.compile=function(t,r){if(e.jit.MIN_FPS_TO_COMPILE){var i=Q.createArray();i.push(t,r),K.push(i),n()}else o(t,r)},e.jit.toJS=function(t){var n,r,i,s,o,a,u,t,c,l,h,f=t._data.instructions,p=t._data.paramCount,_=t._data.is_vararg>0,g=Q.createArray(),d=0,m="",b=Q.createArray();for(n={paramCount:p,isVararg:_,stackSize:t._data.maxStackSize,pc:d,code:Q.createArray(),vars:Q.createArray(),jumpDestinations:Q.createArray(),_constants:t._data.constants,_instructions:t._data.instructions,getConstant:function(e){var t=this._constants[e];return null===this._constants[e]?void 0:t}},n.jumpDestinations.push(1),h=f.length/4;h>d;)a=4*d,r=f[a],i=f[a+1],s=f[a+2],o=f[a+3],n.code[d]||(n.code[d]=e.jit.TRANSLATORS[r].call(n,i,s,o)),d=++n.pc;for(d in n.jumpDestinations)l=parseInt(d,10),n.code[l]="case "+d+":"+n.code[l];for(7==t._data.is_vararg&&(u="setR(R,"+p+",new shine.Table(Array.prototype.slice.call(arguments,"+p+")));R["+p+'].setMember("n", arguments.length-'+p+");"),n.vars.indexOf("getupval")>=0&&(m+="getupval=get_upv.bind(R);"),n.vars.indexOf("setupval")>=0&&(m+="setupval=set_upv.bind(R);"),g=["/* "+(t._file&&t._file.url)+":"+t._data.lineDefined+" */","var cl=this,R=createArray(),pc=0,_"+(n.vars.length?","+n.vars.join(","):"")+";"],l=0;p>l;l++)g.push("setR(R,"+l+",A"+l+");"),b.push("A"+l);return u&&g.push(u),g.push(m),g.push("shine.Closure._current=cl;while(1){switch(pc){"),g=g.concat(n.code),g.push("}}"),c="function("+b.join()+"){"+g.join("\n")+"}",Q.collect(g),Q.collect(b),Q.collect(n.code),Q.collect(n.vars),Q.collect(n.jumpDestinations),Q.collect(n),c}}(shine||{}),"undefined"!=typeof module&&(module.exports=shine.jit),function(e){function t(){return g=u*g%c,g/c}function n(t){if(t&&t instanceof e.VM)return t;var n=e.getCurrentVM();if(!n)throw new e.Error("Can't call library function without passing a VM object as the context");return n}function r(t,n){if(void 0===n)throw new e.Error("Bad argument #2 to ipairs() iterator");var r=n+1,i=t.__shine.numValues;return i.hasOwnProperty(r)&&void 0!==i[r]?[r,i[r]]:void 0}function i(e,t,n){var r=parseInt(_["%j"](e),10),i=new Date(e.getFullYear(),0,1,12),s=(8-i["get"+(n?"UTC":"")+"Day"]()+t)%7;return("0"+(Math.floor((r-s)/7)+1)).substr(-2)}function s(e){e=""+e;var t,n,r,i,s=0;for(t in l)l.hasOwnProperty(t)&&(e=e.replace(new RegExp(t,"g"),l[t]));for(n=e.length,t=0;n>t;t++)r=e.substr(t,1),i=!1,"["==r?(s&&(i=!0),s++):"]"==r&&(s--,s&&(i=!0)),i&&(e=e.substr(0,t)+e.substr(t++ +1),n++);return e}function o(t,r){var i=n(this);i.fileManager.load(t,function(n,s){if(n)return i._trigger("module-load-error",[s,n]),void(404==n&&/\.lua$/.test(t)?o.call(i,t+".json",r):r());var a=new e.Function(i,s,s.data,i._globals);i._trigger("module-loaded",[s,a]),r(a)}),i._trigger("loading-module",t)}var a,u=16807,c=2147483647,l={"([^a-zA-Z0-9%(])-":"$1*?","(.)-([^a-zA-Z0-9?])":"$1*?$2","(.)-$":"$1*?","%a":"[a-zA-Z]","%A":"[^a-zA-Z]","%c":"[\x00-]","%C":"[^\x00-]","%d":"\\d","%D":"[^d]","%l":"[a-z]","%L":"[^a-z]","%p":"[.,\"'?!;:#$%&()*+-/<>=@[]\\^_{}|~]","%P":"[^.,\"'?!;:#$%&()*+-/<>=@[]\\^_{}|~]","%s":"[ \\t\\n\\f\\v\\r]","%S":"[^ 	\n\f\r]","%u":"[A-Z]","%U":"[^A-Z]","%w":"[a-zA-Z0-9]","%W":"[^a-zA-Z0-9]","%x":"[a-fA-F0-9]","%X":"[^a-fA-F0-9]","%([^a-zA-Z])":"\\$1"},h=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],f=["January","February","March","April","May","June","July","August","September","October","November","December"],p=[31,28,31,30,31,30,31,31,30,31,30,31],_={"%a":function(e,t){return h[e["get"+(t?"UTC":"")+"Day"]()].substr(0,3)},"%A":function(e,t){return h[e["get"+(t?"UTC":"")+"Day"]()]},"%b":function(e,t){return f[e["get"+(t?"UTC":"")+"Month"]()].substr(0,3)},"%B":function(e,t){return f[e["get"+(t?"UTC":"")+"Month"]()]},"%c":function(e,t){return e["to"+(t?"UTC":"")+"LocaleString"]()},"%d":function(e,t){return("0"+e["get"+(t?"UTC":"")+"Date"]()).substr(-2)},"%H":function(e,t){return("0"+e["get"+(t?"UTC":"")+"Hours"]()).substr(-2)},"%I":function(e,t){return("0"+((e["get"+(t?"UTC":"")+"Hours"]()+11)%12+1)).substr(-2)},"%j":function(e,t){for(var n=e["get"+(t?"UTC":"")+"Date"](),r=e["get"+(t?"UTC":"")+"Month"](),i=0;r>i;i++)n+=p[i];return r>1&&e["get"+(t?"UTC":"")+"FullYear"]()%4===0&&(n+=1),("00"+n).substr(-3)},"%m":function(e,t){return("0"+(e["get"+(t?"UTC":"")+"Month"]()+1)).substr(-2)},"%M":function(e,t){return("0"+e["get"+(t?"UTC":"")+"Minutes"]()).substr(-2)},"%p":function(e,t){return e["get"+(t?"UTC":"")+"Hours"]()<12?"AM":"PM"},"%S":function(e,t){return("0"+e["get"+(t?"UTC":"")+"Seconds"]()).substr(-2)},"%U":function(e,t){return i(e,0,t)},"%w":function(e,t){return""+e["get"+(t?"UTC":"")+"Day"]()},"%W":function(e,t){return i(e,1,t)},"%x":function(e,t){return _["%m"](e,t)+"/"+_["%d"](e,t)+"/"+_["%y"](e,t)},"%X":function(e,t){return _["%H"](e,t)+":"+_["%M"](e,t)+":"+_["%S"](e,t)},"%y":function(e,t){return _["%Y"](e,t).substr(-2)},"%Y":function(e,t){return""+e["get"+(t?"UTC":"")+"FullYear"]()},"%Z":function(e,t){var n;return t&&"UTC"||(n=e.toString().match(/[A-Z][A-Z][A-Z]/))&&n[0]},"%%":function(){return"%"}},g=1;e.lib={assert:function(t,n){if(t===!1||void 0===t)throw new e.Error(n||"Assertion failed!");return[t,n]},collectgarbage:function(){},dofile:function(){},error:function(t){throw new e.Error(t)},getfenv:function(){},getmetatable:function(t){var n;return t instanceof e.Table?(n=t.__shine.metatable)&&(n=n.__metatable)?n:t.__shine.metatable:"string"==typeof t?a:void 0},ipairs:function(t){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in ipairs(). Table expected");return[r,t,0]},load:function(t){for(var r,i,s=n(this),o="";(r=t.apply(t))&&(r=r[0]);)o+=i=r;return e.lib.loadstring.call(s,o)},loadfile:function(e){var t=n(this),r=function(e){t.resume(e||[])};t.suspend(),o.call(t,e,r)},loadstring:function(t){var r=n(this);if("string"!=typeof t)throw new e.Error("bad argument #1 to 'loadstring' (string expected, got "+e.utils.coerce(t,"string")+")");return t?(r.suspend(),void r.fileManager.load(t,function(t,n){if(t)return void r.resume([]);var i=new e.Function(r,n,n.data,r._globals,e.gc.createArray());r.resume([i])})):new e.Function(r)},next:function(t,n){var r,i,s,o,a,u=void 0===n,c=t.__shine.numValues;if(u||"number"==typeof n&&n>0&&n==n>>0)if("keys"in Object){if(r=Object.keys(c),u?o=1:(o=r.indexOf(""+n)+1)&&(u=!0),u){for(;void 0!==(i=r[o])&&void 0===(s=c[i]);)o++;if(void 0!==s)return[i>>=0,s]}}else for(a in c)if(o=a>>0,u){if(void 0!==c[o])return[o,c[o]]}else o===n&&(u=!0);for(o in t)if(t.hasOwnProperty(o)&&!(o in e.Table.prototype)&&"__shine"!==o)if(u){if(t.hasOwnProperty(o)&&void 0!==t[o]&&"__"!=(""+o).substr(0,2))return[o,t[o]]}else o==n&&(u=!0);for(o in t.__shine.keys)if(t.__shine.keys.hasOwnProperty(o)){var i=t.__shine.keys[o];if(u){if(void 0!==t.__shine.values[o])return[i,t.__shine.values[o]]}else i===n&&(u=!0)}return e.gc.createArray()},pairs:function(t){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in pairs(). Table expected");return[e.lib.next,t]},pcall:function(t){for(var n,r=e.gc.createArray(),i=1,s=arguments.length;s>i;i++)r.push(arguments[i]);try{if("function"==typeof t)n=t.apply(null,r);else{if(!((t||e.EMPTY_OBJ)instanceof e.Function))throw new e.Error("Attempt to call non-function");n=t.apply(null,r,!0)}}catch(o){return[!1,o&&o.message||o]}return(n||e.EMPTY_OBJ)instanceof Array||(n=[n]),n.unshift(!0),n},print:function(){for(var t=e.gc.createArray(),n=0,r=arguments.length;r>n;n++)t.push(e.lib.tostring(arguments[n]));return e.stdout.write(t.join("	"))},rawequal:function(e,t){return e===t},rawget:function(t,n){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in rawget(). Table expected");return t[n]},rawset:function(t,n,r){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in rawset(). Table expected");if(void 0==n)throw new e.Error("Bad argument #2 in rawset(). Nil not allowed");return t[n]=r,t},require:function(t){function r(e){return function(){return i(e)}}function i(n){var i;return p._resumeStack.length?i=p._resumeStack.pop()._run():e.debug&&e.debug._resumeStack&&e.debug._resumeStack.length?i=e.debug._resumeStack.pop()._run():(_.loaded[t]=!0,i=n.call(null,t)),p._status!=e.SUSPENDING||i?e.debug&&e.debug._status==e.SUSPENDING&&!i?(g._pc--,void e.debug._resumeStack.push(r(n))):i?(a=i[0],void 0!==a&&_.loaded.setMember(t,a),_.loaded[t]):void 0:(g._pc--,void p._resumeStack.push(r(n)))}function s(){if(l=c.shift(),!l)throw new e.Error("module '"+t+"' not found:\n	no field package.preload['"+t+"']\n"+d.join("\n"));l=l.replace(/\?/g,t.replace(/\./g,"/")),o.call(p,l,function(n){n?(_.preload[t]=n,e.Closure._current._pc--,p.resume()):(d.push("	no file '"+l+"'"),s())})}var a,u,c,l,h,f,p=n(this),_=p._globals["package"],g=e.Closure._current,d=e.gc.createArray();if(t=e.utils.coerceToString(t),a=_.loaded[t])return a;if(u=_.preload[t])return i(u);if(h=t.replace(/\./g,"/")+".lua.json",f=p.fileManager._cache[h]){var m=new e.File(h,f);return u=new e.Function(p,m,m.data,p._globals),_.preload[t]=u,i(u)}c=_.path.replace(/;;/g,";").split(";"),p.suspend(),s()},select:function(t){e.gc.createArray();if("#"==t)return arguments.length-1;if(t=parseInt(t,10))return arguments.constructor===Array?arguments.slice(t):Array.prototype.slice.call(arguments,t);throw new e.Error('bad argument #1 in select(). Number or "#" expected')},setmetatable:function(t,n){var r;if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in setmetatable(). Table expected");if(!(void 0===n||(n||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #2 in setmetatable(). Nil or table expected");if((r=t.__shine.metatable)&&(r=r.__metatable))throw new e.Error("cannot change a protected metatable");return e.gc.incrRef(n),e.gc.decrRef(t.__shine.metatable),t.__shine.metatable=n,t},tonumber:function(t,n){var r,i,s;if(""!==t){if(n=n||10,2>n||n>36)throw new e.Error("bad argument #2 to tonumber() (base out of range)");if(10==n&&(1/0===t||t===-1/0||"number"==typeof t&&window.isNaN(t)))return t;if(10!=n&&void 0==t)throw new e.Error("bad argument #1 to 'tonumber' (string expected, got nil)");if(t=(""+t).replace(/^\s+|\s+$/g,""),10==n)return e.utils.coerceToNumber(t);if(t=e.utils.coerceToString(t),16==n&&(r=t.match(/^(\-)?0[xX](.+)$/))&&(t=(r[1]||"")+r[2]),i="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ",s=new RegExp("^["+i.substr(0,n)+"]*$","gi"),s.test(t))return parseInt(t,n)}},tostring:function(t){var n,r;return void 0!==t&&t instanceof e.Table&&(n=t.__shine.metatable)&&(r=n.getMember("__tostring"))?r.call(r,t):t&&(t instanceof e.Table||t instanceof e.Function)?t.toString():"function"==typeof t?"function: [host code]":e.utils.coerceToString(t)||"userdata"},type:function(t){var n=typeof t;switch(n){case"undefined":return"nil";case"number":case"string":case"boolean":case"function":return n;case"object":return t.constructor===e.Table?"table":(t||e.EMPTY_OBJ)instanceof e.Function?"function":"userdata"}},unpack:function(t,n,r){return e.lib.table.unpack(t,n,r)},_VERSION:"Lua 5.1",xpcall:function(t,n){var r,i,s;try{"function"==typeof t?r=t.apply():(t||e.EMPTY_OBJ)instanceof e.Function?r=t.apply(null,void 0,!0):s=!0,i=!0}catch(o){r=n.apply(null,void 0,!0),(r||e.EMPTY_OBJ)instanceof Array&&(r=r[0]),i=!1}if(s)throw new e.Error("Attempt to call non-function");return(r||e.EMPTY_OBJ)instanceof Array||(r=[r]),r.unshift(i),r}},e.lib.coroutine=new e.Table({create:function(t){return e.Coroutine.create(t)},resume:function(t){if(arguments.length<2)return t.resume.call(t);for(var n=e.gc.createArray(),r=1,i=arguments.length;i>r;r++)n.push(arguments[r]);return t.resume.apply(t,n)},running:function(){var e=n(this);return e._coroutineRunning},status:function(t){switch(t.status){case e.RUNNING:return t===n()._coroutineRunning?"running":"normal";case e.SUSPENDED:return"suspended";case e.DEAD:return"dead"}},wrap:function(t){var r=e.lib.coroutine.create(t),i=n(this),s=function(){for(var t=[r],n=0,s=arguments.length;s>n;n++)t.push(arguments[n]);var o,a=e.lib.coroutine.resume.apply(null,t);if(a||!(i._status==e.SUSPENDING||e.debug&&e.debug._status==e.SUSPENDING)){if(o=a.shift())return a;throw a[0]}};return s._coroutine=r,s},"yield":function(){var t,r=n()._coroutineRunning;if(!r)throw new e.Error("attempt to yield across metamethod/C-call boundary (not in coroutine)");if(r.status!=e.RUNNING)throw new e.Error("attempt to yield non-running coroutine in host");t=e.gc.createArray();for(var i=0,s=arguments.length;s>i;i++)t.push(arguments[i]);return r._yieldVars=t,r.status=e.SUSPENDING,{resume:function(){var t,n=[r],i=arguments.length,s=function(){e.lib.coroutine.resume.apply(void 0,n)};for(1==arguments.length&&void 0===arguments[0]&&(i=0),t=0;i>t;t++)n.push(arguments[t]);r.status==e.SUSPENDING?window.setTimeout(s,1):s()}}}}),e.lib.debug=new e.Table({debug:function(){},getfenv:function(){},gethook:function(){},getinfo:function(){},getlocal:function(){},getmetatable:function(){},getregistry:function(){},getupvalue:function(){},setfenv:function(){},sethook:function(){},setlocal:function(){},setmetatable:function(){},setupvalue:function(){},traceback:function(){}}),e.lib.io=new e.Table({close:function(t){if(t)throw new e.Error("File operations currently not supported.")},flush:function(){},input:function(){throw new e.Error("File operations currently not supported.")},lines:function(){throw new e.Error("File operations currently not supported.")},open:function(){throw new e.Error("File operations currently not supported.")},output:function(){throw new e.Error("File operations currently not supported.")},popen:function(){throw new e.Error("File operations currently not supported.")},read:function(){throw new e.Error("File operations currently not supported.")},stderr:{},stdin:{},stdout:{},tmpfile:function(){throw new e.Error("File operations currently not supported.")},type:function(){},write:function(){var t,n="";for(var t in arguments)arguments.hasOwnProperty(t)&&(n+=e.utils.coerceToString(arguments[t],"bad argument #"+t+" to 'write' (string expected, got %type)"));e.stdout.write(n)}}),e.lib.math=new e.Table({abs:function(e){return Math.abs(e)},acos:function(e){return Math.acos(e)},asin:function(e){return Math.asin(e)},atan:function(e){return Math.atan(e)},atan2:function(e,t){return Math.atan2(e,t)},ceil:function(e){return Math.ceil(e)},cos:function(e){return Math.cos(e)},cosh:function(t){var n=e.lib.math.exp;return(n(t)+n(-t))/2},deg:function(e){return 180*e/Math.PI},exp:function(e){return Math.exp(e)},floor:function(e){return Math.floor(e)},fmod:function(e,t){return e%t},frexp:function(e){var t,n,r;return 0==e?[0,0]:(t=e>0?1:-1,e*=t,n=Math.floor(Math.log(e)/Math.log(2))+1,r=e/Math.pow(2,n),[r*t,n])},huge:1/0,ldexp:function(e,t){return e*Math.pow(2,t)},log:function(e,t){var n=Math.log(e);return void 0!==t?n/Math.log(t):n},log10:function(e){return Math.log(e)/Math.log(10)},max:function(){return Math.max.apply(Math,arguments)},min:function(){return Math.min.apply(Math,arguments)},modf:function(e){var t=Math.floor(e),n=e-t;return[t,n]},pi:Math.PI,pow:function(t,n){var r=e.utils.coerceToNumber;return t=r(t,"bad argument #1 to 'pow' (number expected)"),n=r(n,"bad argument #2 to 'pow' (number expected)"),Math.pow(t,n)},rad:function(t){return t=e.utils.coerceToNumber(t,"bad argument #1 to 'rad' (number expected)"),Math.PI/180*t},random:function(n,r){if(void 0===n&&void 0===r)return t();if("number"!=typeof n)throw new e.Error("bad argument #1 to 'random' (number expected)");if(void 0===r)r=n,n=1;else if("number"!=typeof r)throw new e.Error("bad argument #2 to 'random' (number expected)");if(n>r)throw new e.Error("bad argument #2 to 'random' (interval is empty)");return Math.floor(t()*(r-n+1)+n)},randomseed:function(t){if("number"!=typeof t)throw new e.Error("bad argument #1 to 'randomseed' (number expected)");g=t},sin:function(e){return Math.sin(e)},sinh:function(t){var n=e.lib.math.exp;return(n(t)-n(-t))/2},sqrt:function(e){return Math.sqrt(e)},tan:function(e){return Math.tan(e)},tanh:function(t){var n=e.lib.math.exp;return(n(t)-n(-t))/(n(t)+n(-t))}}),e.lib.os=new e.Table({clock:function(){},date:function(t,n){void 0===t&&(t="%c");var r,i=new Date;if(n&&i.setTime(1e3*n),"!"===t.substr(0,1)&&(t=t.substr(1),r=!0),"*t"===t){var s=function(e){var t=e.getFullYear(),n=new Date(t,0);return e.getTimezoneOffset()!==n.getTimezoneOffset()};return new e.Table({year:parseInt(_["%Y"](i,r),10),month:parseInt(_["%m"](i,r),10),day:parseInt(_["%d"](i,r),10),hour:parseInt(_["%H"](i,r),10),min:parseInt(_["%M"](i,r),10),sec:parseInt(_["%S"](i,r),10),wday:parseInt(_["%w"](i,r),10)+1,yday:parseInt(_["%j"](i,r),10),isdst:s(i,r)})}for(var o in _)_.hasOwnProperty(o)&&t.indexOf(o)>=0&&(t=t.replace(o,_[o](i,r)));return t},difftime:function(e,t){return e-t},execute:function(){if(arguments.length)throw new e.Error("shell is not available. You should always check first by calling os.execute with no parameters");return 0},exit:function(t){throw new e.Error("Execution terminated ["+(t||0)+"]")},getenv:function(){},remove:function(){},rename:function(){},setlocale:function(){},time:function(t){var n;if(t){var r,i,s,o,a,u;if(!(r=t.getMember("day")))throw new e.Error("Field 'day' missing in date table");if(!(i=t.getMember("month")))throw new e.Error("Field 'month' missing in date table");if(!(s=t.getMember("year")))throw new e.Error("Field 'year' missing in date table");o=t.getMember("hour")||12,a=t.getMember("min")||0,u=t.getMember("sec")||0,t.getMember("isdst")&&o--,n=new Date(s,i-1,r,o,a,u).getTime()}else n=Date.now?Date.now():(new Date).getTime();return Math.floor(n/1e3)},tmpname:function(){}}),e.lib["package"]=new e.Table({cpath:void 0,loaded:new e.Table,loadlib:function(){},path:"?.lua.json;?.json;modules/?.lua.json;modules/?.json;modules/?/?.lua.json;modules/?/index.lua.json",preload:{},seeall:function(t){var r=n(this),i=new e.Table;i.setMember("__index",r._globals),e.lib.setmetatable(t,i)}}),e.lib.string=new e.Table({"byte":function(t,n,r){n=n||1,r=r||n;var i,s=e.gc.createArray(),o=t.length;for(i=n;o>=i&&r>=i;i++)s.push(t.charCodeAt(i-1)||void 0);return s},"char":function(){for(var e="",t=0,n=arguments.length;n>t;t++)e+=String.fromCharCode(arguments[t]);return e},dump:function(t){var n,r=t._data,i=e.gc.createObject(),s=e.gc.createArray();for(n in r)r.hasOwnProperty(n)&&(i[n]=r[n]);return s.push.apply(s,i.instructions),i.instructions=s,JSON.stringify(i)},find:function(t,n,r,i){if("string"!=typeof t&&"number"!=typeof t)throw new e.Error("bad argument #1 to 'find' (string expected, got "+typeof t+")");if("string"!=typeof n&&"number"!=typeof n)throw new e.Error("bad argument #2 to 'find' (string expected, got "+typeof n+")");t=""+t,r=r||1;var o,a,u,c;if(void 0===i||!i){if(n=s(n),a=new RegExp(n),o=t.substr(r-1).search(a),0>o)return;return u=t.substr(r-1).match(a),c=[o+r,o+r+u[0].length-1],u.shift(),c.concat(u)}return o=t.indexOf(n,r-1),-1===o?void 0:[o+1,o+n.length]},format:function(t){function n(t){var n=t[2],r=parseInt(t[5]);if((""+n).length>5)throw new e.Error("invalid format (repeated flags)");return r||0===r||(r=1/0),{showSign:n.indexOf("+")>=0,prefix:n.indexOf(" ")>=0,leftAlign:n.indexOf("-")>=0,alternateForm:n.indexOf("#")>=0,zeroPad:n.indexOf("0")>=0,minWidth:parseInt(t[3])||0,hasPrecision:!!t[4],precision:r}}function r(e,t){return Array(t+1).join(e)}function i(e,t,n){var i;return n.zeroPad&&!n.leftAlign&&(i=n.minWidth-e.length)>0&&((t||n.showSign||n.prefix)&&i--,e=r("0",i)+e),t?e="-"+e:n.showSign?e="+"+e:n.prefix&&(e=" "+e),(i=n.minWidth-e.length)>0?n.leftAlign?e+r(" ",i):r(" ",i)+e:e}function s(t){return t=e.utils.coerceToNumber(t,"bad argument #"+b+" to 'format' (number expected)"),String.fromCharCode(t)}function o(t){t=e.utils.coerceToNumber(t,"bad argument #"+b+" to 'format' (number expected)");var s,o=n(p),a=0>t;return t=""+Math.floor(Math.abs(t)),o.hasPrecision&&(1/0!==o.precision&&(s=o.precision-t.length)>0&&(t=r("0",s)+t),o.zeroPad=!1),i(t,a,o)}function a(t){t=e.utils.coerceToNumber(t,"bad argument #"+b+" to 'format' (number expected)");
var s=n(p),o=0>t,a=t-Math.floor(t),u=1/0===s.precision?6:s.precision;return t=""+Math.floor(Math.abs(t)),u>0&&(a=a.toFixed(u).substr(2),u-=a.length,t+="."+a+(u?r("0",u):"")),i(t,o,s)}function u(t,i){t=e.utils.coerceToNumber(t,"bad argument #"+b+" to 'format' (number expected)");var s,o=0>t,i=Math.pow(2,32),a=n(p);return t=Math.floor(t),o&&(t=i+t),t=t.toString(16),a.hasPrecision&&1/0!==a.precision&&(s=a.precision-t.length)>0&&(t=r("0",s)+t),(s=a.minWidth-t.length)>0?a.leftAlign?t+r(" ",s):r(" ",s)+t:t}function c(t){return t=e.utils.coerceToString(t),'"'+t.replace(/([\n"])/g,"\\$1")+'"'}function l(t){var i,s=n(p);return t=e.utils.coerceToString(t),t=t.substr(0,s.precision),(i=s.minWidth-t.length)>0?s.leftAlign?t+r(" ",i):r(s.zeroPad?"0":" ",i)+t:t}function h(t){t=e.utils.coerceToNumber(t,"bad argument #"+b+" to 'format' (number expected)");var s,o=0>t,a=4,u=Math.pow(2,32),c=n(p);return t=Math.floor(t),o&&(t=u+t),t=t.toString(16),o&&a>2&&(t=r("f",4*(a-2))+t),c.hasPrecision&&1/0!==c.precision&&(s=c.precision-t.length)>0&&(t=r("0",s)+t),c.alternateForm&&(t="0x"+t),c.showSign=c.prefix=!1,c.zeroPad=c.zeroPad&&c.hasPrecision,t=i(t,!1,c)}var f,p,_=/^((.|\s)*?)(%)((.|\s)*)$/,g=/^(%?)([+\-#\ 0]*)(\d*)(\.(\d*))?([cdeEfgGiouqsxX])((.|\s)*)$/,d="",m=arguments.constructor===Array?arguments:Array.prototype.slice.call(arguments,0),b=2,v=2;for(m.shift();f=(""+t).match(_);){for(d+=f[1];"%"!=f[v];)v++;if(p=(""+f[v+1]).match(g),p[1])d+="%"+p[2]+p[3]+(p[4]||"")+p[6];else switch(p[6]){case"c":d+=s(m.shift());break;case"d":d+=o(m.shift());break;case"f":d+=a(m.shift());break;case"q":d+=c(m.shift());break;case"o":d+=u(m.shift());break;case"s":d+=l(m.shift());break;case"x":d+=h(m.shift());break;case"X":d+=h(m.shift()).toUpperCase()}t=p[7],b++}return d+t},gmatch:function(e,t){t=s(t);var n=new RegExp(t,"g"),r=(""+e).match(n);return function(){var e=r.shift(),n=new RegExp(t).exec(e);if(void 0!==e)return n.shift(),n.length?n:e}},gsub:function(t,n,r,i){if("string"!=typeof t&&"number"!=typeof t)throw new e.Error("bad argument #1 to 'gsub' (string expected, got "+typeof t+")");if("string"!=typeof n&&"number"!=typeof n)throw new e.Error("bad argument #2 to 'gsub' (string expected, got "+typeof n+")");if(void 0!==i&&void 0===(i=e.utils.coerceToNumber(i)))throw new e.Error("bad argument #4 to 'gsub' (number expected, got "+typeof i+")");t=""+t,n=s(""+n);for(var o,a,u,c,l=0,h="";(void 0===i||i>l)&&t&&(u=t.match(n));)"function"==typeof r||(r||e.EMPTY_OBJ)instanceof e.Function?(o=r.apply(null,[u[0]],!0),o instanceof Array&&(o=o[0]),void 0===o&&(o=u[0])):o=(r||e.EMPTY_OBJ)instanceof e.Table?r.getMember(u[0]):"object"==typeof r?r[u]:(""+r).replace(/%([0-9])/g,function(e,t){return u[t]}),a=0==u[0].length&&void 0===c?"":t.split(u[0],1)[0],c=u[0],h+=a+o,t=t.substr((a+c).length),l++;return[h+t,l]},len:function(t){return t=e.utils.coerceToString(t,"bad argument #1 to 'len' (string expected, got %type)"),t.length},lower:function(t){if("string"!=typeof t&&"number"!=typeof t)throw new e.Error("bad argument #1 to 'lower' (string expected, got "+typeof t+")");return(""+t).toLowerCase()},match:function(t,n,r){if("string"!=typeof t&&"number"!=typeof t)throw new e.Error("bad argument #1 to 'match' (string expected, got "+typeof t+")");if("string"!=typeof n&&"number"!=typeof n)throw new e.Error("bad argument #2 to 'match' (string expected, got "+typeof n+")");r=r?r-1:0,t=(""+t).substr(r);var i=t.match(new RegExp(s(n)));return i?i[1]?(i.shift(),i):i[0]:void 0},rep:function(e,t){var n,r="";for(n=0;t>n;n++)r+=e;return r},reverse:function(e){var t,n="";for(t=e.length;t>=0;t--)n+=e.charAt(t);return n},sub:function(t,n,r){if("string"!=typeof t&&"number"!=typeof t)throw new e.Error("Bad argument #1 to 'sub' (string expected, got "+typeof t+")");return t=""+t,n=n||1,r=r||t.length,n>0?n-=1:0>n&&(n=t.length+n),0>r&&(r=t.length+r+1),t.substring(n,r)},upper:function(e){return e.toUpperCase()}}),a=new e.Table({__index:e.lib.string}),e.lib.table=new e.Table({concat:function(t,n,r,i){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 to 'concat' (table expected)");n=n||"",r=r||1,i=i||e.lib.table.maxn(t);var s=e.gc.createArray().concat(t.__shine.numValues).splice(r,i-r+1);return s.join(n)},getn:function(t){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in 'getn' (table expected)");var n,r=t.__shine.numValues,i=e.gc.createArray(),s=0;for(n in r)r.hasOwnProperty(n)&&(i[n]=!0);for(;i[s+1];)s++;if(s>0&&void 0===r[s]){for(var n=0;s-n>1;){var o=Math.floor((n+s)/2);void 0===r[o]?s=o:n=o}return n}return s},insert:function(t,n,r){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in table.insert(). Table expected");void 0==r?(r=n,n=t.__shine.numValues.length):n=e.utils.coerceToNumber(n,"Bad argument #2 to 'insert' (number expected)"),t.__shine.numValues.splice(n,0,void 0),t.setMember(n,r)},maxn:function(t){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 to 'maxn' (table expected)");return t.__shine.numValues.length-1},remove:function(t,n){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 in table.remove(). Table expected");var r,i=e.lib.table.getn(t),s=t.__shine.numValues;if(!(n>i)){for(void 0==n&&(n=i),r=s.splice(n,1);i>n&&void 0===s[n];)delete s[n++];return r}},sort:function(t,n){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 to 'sort' (table expected)");var r,i=t.__shine.numValues;if(n){if(!(n instanceof e.Function||n.constructor===Function))throw new e.Error("Bad argument #2 to 'sort' (function expected)");r=function(e,t){return n.apply(null,[e,t],!0)[0]?-1:1}}else r=function(e,t){return t>e?-1:1};i.shift(),i.sort(r).unshift(void 0)},unpack:function(t,n,r){if(!((t||e.EMPTY_OBJ)instanceof e.Table))throw new e.Error("Bad argument #1 to 'unpack' (table expected)");n=n||1,void 0===r&&(r=e.lib.table.getn(t));var i,s=e.gc.createArray();for(i=n;r>=i;i++)s.push(t.getMember(i));return s}})}(shine||{}),function(e){function t(t,n){if(n)throw n=(""+n).replace(/\%type/gi,e.lib.type(t)),new e.Error(n)}function n(t){for(var r in t)t.hasOwnProperty(r)&&("object"==typeof t[r]?t[r]=n(t[r]):null===t[r]&&(t[r]=void 0));return new e.Table(t)}var r=/^[-+]?[0-9]*\.?([0-9]+([eE][-+]?[0-9]+)?)?$/,i=/^(\-)?0x([0-9a-fA-F]*)\.?([0-9a-fA-F]*)$/;e.utils={coerceToBoolean:function(e){return!(e===!1||void 0===e)},coerceToString:function(e,n){switch(!0){case"string"==typeof e:return e;case void 0===e:case null===e:return"nil";case 1/0===e:return"inf";case e===-1/0:return"-inf";case"number"==typeof e:case"boolean"==typeof e:return window.isNaN(e)?"nan":""+e;default:return t(e,n)||""}},coerceToNumber:function(e,n){var s,o,a;switch(!0){case"number"==typeof e:return e;case void 0===e:return;case"inf"===e:return 1/0;case"-inf"===e:return-1/0;case"nan"===e:return 0/0;default:return(""+e).match(r)?s=parseFloat(e):(o=(""+e).match(i))&&(a=o[3],((s=o[2])||a)&&(s=parseInt(s,16)||0,a&&(s+=parseInt(a,16)/Math.pow(16,a.length)),o[1]&&(s*=-1))),void 0===s&&t(e,n),s}},toObject:function(t){var n,r=e.lib.table.getn(t)>0,i=e.gc["create"+(r?"Array":"Object")](),s=t.__shine.numValues,o=s.length;for(n=1;o>n;n++)i[n-1]=(s[n]||e.EMPTY_OBJ)instanceof e.Table?e.utils.toObject(s[n]):s[n];for(n in t)!t.hasOwnProperty(n)||n in e.Table.prototype||"__shine"===n||(i[n]=(t[n]||e.EMPTY_OBJ)instanceof e.Table?e.utils.toObject(t[n]):t[n]);return i},parseJSON:function(e){return n(JSON.parse(e))},get:function(t,n,r){var i,s=new XMLHttpRequest;s.open("GET",t,!0),"ArrayBuffer"in window?(s.responseType="arraybuffer",i=function(e){if(e.byteLength<=1e4)return String.fromCharCode.apply(String,Array.prototype.slice.call(new Uint8Array(e)));var t,n,r=new Uint8Array(e),i="";for(t=0,n=e.byteLength;n>t;t+=1e4)i+=String.fromCharCode.apply(String,Array.prototype.slice.call(r.subarray(t,Math.min(t+1e4,n))));return i}):(s.responseType="text",i=function(e){return e}),s.onload=function(){200==this.status?n&&n(i(this.response)):r&&r(this.status)},s.send(e.EMPTY_OBJ)}}}(shine||{}),function(e){e.stdout={},e.stdout.write=function(e){console&&console.log?console.log(e):trace&&trace(e)},e.stddebug={},e.stddebug.write=function(){},e.stderr={},e.stderr.write=function(e,t){t=t||"error",console&&console[t]&&console[t](e)}}(shine||{});var module=module;"undefined"!=typeof module&&(module.exports=shine);
